Skip to main content
WEBHOOK

When it’s sent

  • A payment is added to an existing expense.
The request type is NEW_EXPENSE_PAYMENT. See the introduction to subscribe to this event and verify the X-Hub-Signature-256 signature.

Headers

X-Hub-Signature-256
string

HMAC SHA-256 of the raw request body, keyed with your Verify Token, as sha256=<hex>. Sent only when a Verify Token is set.

Example:

"sha256=3f1c5e…"

Body

application/json

Sent when a payment is added to an existing expense.

version
enum<string>
required

Payload version.

Available options:
v1.0
Example:

"v1.0"

type
enum<string>
required

Event type.

Available options:
NEW_EXPENSE_PAYMENT
Example:

"NEW_EXPENSE_PAYMENT"

id
string

Payment ID.

Example:

"ckx1b0000002"

expense_id
string

Expense ID.

Example:

"ckx1e0000001"

amount
number

Amount paid.

Example:

500

treasury_id
string | null

Treasury the money was paid from.

Example:

"ckx1t0000001"

sub_type
string | null

Payment sub-type.

Example:

null

details
string | null

Notes.

Example:

null

Response

200

Return any 2xx status within 5 seconds to acknowledge the event. Failed deliveries are not retried.